package pkg.sample.imageprocessing;

import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class DrawSurfaceView extends SurfaceView implements SurfaceHolder.Callback{
	SurfaceHolder sHolder;

	public DrawSurfaceView(Context c,AttributeSet attrs) {
		super(c,attrs);
		setSurfaceHolder();
	}
	public void setSurfaceHolder(){
		sHolder = getHolder();
		//sHolder.setFormat(PixelFormat.TRANSLUCENT);
		sHolder.addCallback(this);
		sHolder.setType(SurfaceHolder.SURFACE_TYPE_HARDWARE);
	}

	public void surfaceChanged(SurfaceHolder holder, int format, int width,	int height) {
		//synchronized (this) {
		//	this.width = width;
		//	this.height = height;
		//}
	}
	public void surfaceCreated(SurfaceHolder holder) {
	}
	public void surfaceDestroyed(SurfaceHolder holder) {
		sHolder.removeCallback(this);
		sHolder=null;
    }
	public Canvas LockCanvas(){
		if(sHolder==null)return null;
		return sHolder.lockCanvas();
	}
	public void UnlockCanvas(Canvas canvas){
		sHolder.unlockCanvasAndPost(canvas);		
	}
}