package pkg.sample.imageprocessing;

//t[[gvp
public class FrameRateChecker{
	private int mAverageSize=1;
	private long mCheckStartTime = 0;
	private long mCheckEndTime = 0;
	private int mFrameCount = 0;
	private int mFpsValue[] = new int[1];
	FrameRateChecker(int aAveSize){
		set(aAveSize);
	}		
	public void set(int aAveSize){
		if(aAveSize<=0)return;
		mAverageSize=aAveSize;	
		mFpsValue= new int[mAverageSize];
	}
	public int get() {
		int fps_average=0;
		for(int i=0;i<mAverageSize;i++)fps_average+=mFpsValue[i];
		return (int) (100000 / Math.max(	fps_average/mAverageSize, 1));
	}
	public String getString(){
		String fps_str="";
		int fps,fpsc;
		fps=get();
		fpsc=fps%100;fps/=100;
		if(fps<10)fps_str="00"+fps;
		else if(fps<100)fps_str="0"+fps;
		else fps_str=""+fps;
		if(fpsc<10)return fps_str+".0"+fpsc;
		return fps_str+"."+fpsc;
	}
	
	public void measurement(){
		mCheckEndTime = System.currentTimeMillis() - mCheckStartTime;
		mFpsValue[mFrameCount % mAverageSize] = (int) (mCheckEndTime);
		mFrameCount++;
		mCheckStartTime = System.currentTimeMillis();
	}
	
	public int getFrame(){
		return mFrameCount;
	}
}
